package fr.titionfire.ffsaf.ws.recv;

import fr.titionfire.ffsaf.ws.PermLevel;
import io.quarkus.runtime.annotations.RegisterForReflection;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

@RegisterForReflection
@Retention(RetentionPolicy.RUNTIME)
public @interface WSReceiver {

    String code();

    PermLevel permission() default PermLevel.VIEW;

}
